Skip to main content
GET
/
sites
/
{id}
/
db
/
tables
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.sites.listDatabaseTables({
    id: "<id>",
  });

  console.log(result);
}

run();
{
  "object": "<string>",
  "tables": [
    "<string>"
  ],
  "table_count": 123
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")

Response

The site's database tables

object
string
required

Always "database_tables".

tables
string[]
required

Names of the user-defined tables in the site's database.

table_count
integer
required

Number of tables returned.